Subject: Re: [PATCH] powerpc: Add legacy PCI access via sysfs

From: Jesse Barnes <[email-masked]>
Date: Fri, 10 Oct 2008 09:02:29 -0700

On Thursday, October 9, 2008 7:50 pm Benjamin Herrenschmidt wrote:
> This patch adds support for legacy_io and legacy_mem files in
> bus class directories in sysfs for powerpc
>
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> ---
>
> This is version 2, slightly different approach for getting at VGA
> memory which works a lot better with bridges providing a separate
> ISA Memory hole (which is the case of most of them).
>
> Also tested on a variety of hardware with a little tool using x86emu
> to run VGA BIOSes, do VBE calls and whack text mode.
>
> This patch relies on its generic counterpart, posted previously
> being applied first.
>
> Jesse, due to the dependency, it's better if we have both in
> the powerpc tree -or- both in the PCI tree, what do you think
> is best ? Either that or I have to delay applying it to powerpc
> until you get the generic part in.

Ah I was worried the first one might need a respin, but it applied fine, so 
I'll go ahead and apply this one too.

Thanks,
Jesse